GET

/v1/schemas/fal/video/fal-ai/sadtalker/reference

kind inputactivity videohash 411ae982…extracted Jul 6, 2026version currentsource upstream spec ↗
fieldrecorded source
schemaSource linked above.
Source trace
d703b4356edd8b147d5f493ee392c1a500fc6c030d3ad2628a2c3748f84978e7
{
  "fetchedAt": 1783331098,
  "extractorVersion": "1",
  "verifiedAt": null
}

Request body

9 properties · 3 required · 0 $defs
propertytypedescriptionconstraints
driven_audio_url*stringURL of the driven audio
source_image_url*stringURL of the source image
reference_pose_video_url*stringURL of the reference video
face_enhancerconstThe type of face enhancer to use"gfpgan" · nullable
pose_styleintegerThe style of the pose0 ≤ n ≤ 45 · default: 0
face_model_resolutionenumThe resolution of the face model256 | 512 · default: "256"
still_modebooleanWhether to use still mode. Fewer head motion, works with preprocess `full`.default: false
preprocessenumThe type of preprocessing to usecrop | extcrop | resize | full | extfull · default: "crop"
expression_scalenumberThe scale of the expression0 ≤ n ≤ 3 · default: 1

Validate a payload

before you spend tokens
shell
$ curl -X POST https://modelschemas.com/v1/validate \
    -d '{"provider":"fal","endpointId":"fal-ai/sadtalker/reference","payload":{…}}'
→ {"valid": false, "errors": [{"path": "#", "keyword": "required", …}]}